# Class: Concurrent::Actor::UnknownMessage

Inherits:
  Error
  - Object
  - Concurrent::Actor::UnknownMessage
  show all

Includes:
  TypeCheck

Defined in:
  lib-edge/concurrent/actor/errors.rb

## Instance Attribute Summary collapse

- #envelope ⇒ undocumented readonly

## Instance Method Summary collapse

- #initialize(envelope) ⇒ UnknownMessage constructor

  A new instance of UnknownMessage.

- #Child!(value, *types) ⇒ undocumented included from TypeCheck
- #Child?(value, *types) ⇒ Boolean included from TypeCheck
- #Match!(value, *types) ⇒ undocumented included from TypeCheck
- #Match?(value, *types) ⇒ Boolean included from TypeCheck
- #Type!(value, *types) ⇒ undocumented included from TypeCheck
- #Type?(value, *types) ⇒ Boolean included from TypeCheck

## Constructor Details

### #initialize(envelope) ⇒ `UnknownMessage`

Returns a new instance of UnknownMessage

    21
    22
    23
    24

    # File 'lib-edge/concurrent/actor/errors.rb', line 21

    def initialize(envelope)
      @envelope = Type! envelope, Envelope
      super "#{envelope.message.inspect} from #{envelope.sender_path}"
    end

## Instance Attribute Details

### #envelope ⇒ `undocumented` (readonly)

    19
    20
    21

    # File 'lib-edge/concurrent/actor/errors.rb', line 19

    def envelope
      @envelope
    end

## Instance Method Details

### #Child!(value, *types) ⇒ `undocumented` Originally defined in module TypeCheck

### #Child?(value, *types) ⇒ `Boolean` Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### #Match!(value, *types) ⇒ `undocumented` Originally defined in module TypeCheck

### #Match?(value, *types) ⇒ `Boolean` Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### #Type!(value, *types) ⇒ `undocumented` Originally defined in module TypeCheck

### #Type?(value, *types) ⇒ `Boolean` Originally defined in module TypeCheck

Returns:

- (`Boolean`)